Subject: Re: Please help with 4NT and cygwin problem?? (WinXP)
From: Daniel Miller <[email-masked]>
To: [email-masked]
Date: Wed, 4 Aug 2004 04:29:41 +0000 (UTC)

Christopher Faylor <[email-masked]> wrote in 
news:[email-masked]:

> strace isn't a cygwin application so something is really strange here.
> Can you run cygcheck.exe?  That's not a cygwin app either.  Maybe one 
of
> the utilities at the http://sysinternals.com/ site will help.
> 
> Otherwise, it sounds a little like you have more than one copy of the
> DLL on your system.  The system search utility would confirm or deny
> that fact.
> 
Okay, this is getting stranger...
I deleted Cygwin, searched for cyg*.dll and deleted all of them, no 
matter where, downloaded and re-installed current Cygwin from scratch.

- When I run strace from a 4NT window, it immediately, returns to the 
console prompt, just like the old days.

- If I run "ver /r" from the 4NT window, with my current directory on c:
\ (which is my WinXP boot drive), it says:

4NT  5.00U   Windows XP 5.1
4NT Build 125   Windows XP Build 2600  Service Pack 1
Registered to Daniel Miller
S/N CD600342

Looks like I'm running Windows XP, doesn't it??  That's what *I* 
thought...

- But, when I run cygdrive -s, it says:

Cygwin Configuration Diagnostics
Current System Time: Tue Aug 03 21:19:39 2004

Windows 98 Ver 4.10 Build 2222 

Path:	C:\UTILITY
	C:\MEW9
	C:\MINGW\BIN
	C:\CYGWIN\BIN
	C:\WINDOWS\SYSTEM32
	C:\WINDOWS
	C:\WINDOWS\SYSTEM32\WBEM
	C:\WINDOWS
	C:\WINDOWS\COMMAND
	C:\PROGRA~1\ULTRAW~1

Output from C:\cygwin\bin\id.exe (nontsec)
UID: ) GID: )

Output from C:\cygwin\bin\id.exe (ntsec)
UID: ) GID: )

SysDir: C:\WINDOWS\System32
WinDir: C:\WINDOWS

Path = `C:\UTILITY;C:\MEW9;C:\MINGW\BIN;C:\CYGWIN\BIN;C:\WINDOWS
\SYSTEM32;C:\WINDOWS;C:\WINDOWS\SYSTEM32\WBEM;C:\WINDOWS;C:\WINDOWS
\COMMAND;C:\PROGRA~1\ULTRAW~1'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  NTFS   58643Mb  56% CP CS UN PA FC     NEW_REALM
d:  cd            21Mb 100%                    
e:  cd  CDFS     132Mb 100%    CS UN           MM9_DISK2
f:  hd  FAT32  39070Mb  29% CP    UN           OLD_HISTORY
n:  net FAT32  19585Mb   8% CP    UN           SERVERBOY

So Cygwin thinks I'm running Win 98??  What gives??

I *do* have a hard disk (f:) with FAT32 on it, but I don't even path to 
it, nor do I access it during boot.

If I run cygcheck -s from a cmd.exe window, it says:

Cygwin Configuration Diagnostics
Current System Time: Tue Aug 03 21:28:25 2004

Windows XP Professional Ver 5.1 Build 2600 Service Pack 1

Path:	c:\mew9
	c:\utility
	c:\cygwin\bin
	C:\WINDOWS\system32
	C:\WINDOWS
	C:\WINDOWS\System32\Wbem
	C:\WINDOWS
	C:\WINDOWS\COMMAND

Output from C:\cygwin\bin\id.exe (nontsec)
UID: 1003(gorlash) GID: 513(None)
513(None)

Output from C:\cygwin\bin\id.exe (ntsec)
UID: 1003(gorlash) GID: 513(None)
0(root)              513(None)            
544(Administrators)  545(Users)

SysDir: C:\WINDOWS\System32
WinDir: C:\WINDOWS

Path = `c:\mew9;c:\utility;c:\cygwin\bin;C:\WINDOWS\system32;C:
\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS;C:\WINDOWS\COMMAND'

Use `-r' to scan registry

a:  fd           N/A    N/A                    
c:  hd  NTFS   58643Mb  56% CP CS UN PA FC     NEW_REALM
d:  cd           N/A    N/A                    
e:  cd  CDFS     132Mb 100%    CS UN           MM9_DISK2
f:  hd  FAT32  39070Mb  29% CP    UN           OLD_HISTORY
n:  net FAT32  19585Mb   8% CP    UN           SERVERBOY

//***********************************************************

I have a hunch I'm getting near to my basic problem, but I still don't 
understand what's going on.  Does anyone else??

    	Dan Miller

-- 
---
I may be slug slime, but I'm SLIPPERY slug slime

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/